import { Observable } from '../Observable';
/**
 * Gives your stream an <a href="https://en.wikipedia.org/wiki/Smooth_Operator">
 * 80s vibe</a>. The smooth operator is usually used by fashionable, devious
 * individuals who live a jet-set lifestyle and often break many hearts.
 *
 * Note: this operator requires your volume be turned up.
 *
 * <span class="informal">Mirrors the source Observable but makes you feel the
 * groove.</span>
 *
 * <img src="./img/smooth.png" width="100%">
 *
 * @example <caption>Show the world what you're all about.</caption>
 * Rx.Observable.timer(10000)
 *  .smooth()
 *  .subscribe({
 *    complete() {
 *      console.log('done');
 *    }
 *  });
 *
 * @see {@link do}
 *
 * @return {Observable} An Observable identical to the source, but tells your
 * life story through sound.
 * @method smooth
 * @owner Observable
 */
export declare function smooth<T>(this: Observable<T>): Observable<T>;
